#
# spec file for package HSAIL-Tools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           HSAIL-Tools
Version:        0+git20160712.12220b0
Release:        6.247
Summary:        Parse and (dis)assemble HSA Intermediate Language
License:        NCSA
Group:          Development/Tools/Building
Url:            https://github.com/HSAFoundation/HSAIL-Tools
Source:         %{name}-%{version}.tar.xz
Patch1:         warning.patch
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libdwarf-devel
BuildRequires:  libelf-devel
BuildRequires:  ncurses-devel
BuildRequires:  perl
BuildRequires:  re2c
BuildRequires:  unzip

%description
HSAIL-Tools are used for parsing, assembling, and disassembling
HSAIL, the Heterogenous System Architecture Intermediate Language (a
virtual instruction set for parallel programs). This version of
libHSAIL supports the HSA PRM 1.02 (Final) specification.

%prep
%setup -q

%patch1 -p1

%build
%cmake
%make_jobs

%install
%cmake_install

# TODO: I know this is really ugly ;) Create a devel package.
find %{buildroot} "(" -name "*.h" -o -name "*.hpp" -o -name "*.a" ")" -delete

%files
%doc README.md
%{_bindir}/HSAILasm
%{_prefix}/lib/libhsail-amd.so
%{_prefix}/lib/libhsail.so

%changelog
* Thu Aug 24 2017 mliska@suse.cz
- Delete metadata from tarball.
* Thu Aug 24 2017 mliska@suse.cz
- Remove docs folder from package as it does not contain documentation
  of the package.
* Sat Aug 12 2017 jengelh@inai.de
- Redo summary and description.
- Fix escaping requirements on a find call.
* Fri Aug  4 2017 mliska@suse.cz
- Update to version 0+git20160712.12220b0:
  * Restored imageQuery and samplerQuery for backward compatibility with legacy code
  * Corrections to get rid of warnings + defined some constants for compatibility with legacy code
  * Enable -Werror.
  * Remove usage of EXTRA_CFLAGS.
  * Clean up CMakeLists.txt
  * Add build options to enable/disable all vendor extensions (VENDOR_EXTENSIONS) and AMD extensions (AMD_EXTENSIONS).
  * Remove dependency on LLVM (it was only used to enable crash handler).
  * Improve README.md
  * Fix Windows build.
  * Enable /W3 /WX on Windows.
* Fri Aug  4 2017 mpluskal@suse.com
- Cleanup spec file
-Use cmake macros
* Fri Aug  4 2017 mliska@suse.cz
- Initial version 0.99
  * warning.patch
